Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request PATCH \
--url https://app.relyable.ai/api/agents/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"apiKey": "<string>",
"assistantId": "<string>",
"language": "<string>",
"phoneNumber": "<string>",
"prompt": "<string>",
"callMonitoring": true,
"isUsingDefaultApiKey": true,
"webhookUrl": "<string>",
"phoneNumberId": "<string>",
"webhookSecret": "<string>"
}
'import requests
url = "https://app.relyable.ai/api/agents/{id}"
payload = {
"name": "<string>",
"apiKey": "<string>",
"assistantId": "<string>",
"language": "<string>",
"phoneNumber": "<string>",
"prompt": "<string>",
"callMonitoring": True,
"isUsingDefaultApiKey": True,
"webhookUrl": "<string>",
"phoneNumberId": "<string>",
"webhookSecret": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
apiKey: '<string>',
assistantId: '<string>',
language: '<string>',
phoneNumber: '<string>',
prompt: '<string>',
callMonitoring: true,
isUsingDefaultApiKey: true,
webhookUrl: '<string>',
phoneNumberId: '<string>',
webhookSecret: '<string>'
})
};
fetch('https://app.relyable.ai/api/agents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"apiKey": "<string>",
"assistantId": "<string>",
"createdByUserId": "<string>",
"deletedAt": "<string>",
"language": "<string>",
"phoneNumber": "<string>",
"prompt": "<string>",
"workspaceId": "<string>",
"callMonitoring": true,
"isUsingDefaultApiKey": true,
"webhookUrl": "<string>",
"phoneNumberId": "<string>",
"webhookSecret": "<string>"
}
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Update an agent by its ID
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
1VAPI, RETELL, TIXAE, ELEVENLABS INBOUND, OUTBOUND, null SINGLE, MULTIPLE, null